WPS8TextInternal::DataPLC Struct Reference

Internal: class to store the PLC: Pointer List Content ? More...

## Public Member Functions

| DataPLC ()
| constructor More...

## Public Attributes

std::string | m_name
| the entry name More...
PLCType | m_type
| the plc type More...
long | m_value
| a potential value More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<< More...

## Detailed Description

Internal: class to store the PLC: Pointer List Content ?

## Constructor & Destructor Documentation

WPS8TextInternal::DataPLC::DataPLC | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc
| ) |  |

friend

operator<<

## Member Data Documentation

std::string WPS8TextInternal::DataPLC::m_error

a string used to store the parsing errors

Referenced by WPS8TextInternal::operator<<(), and WPS8Text::readPLC().

std::string WPS8TextInternal::DataPLC::m_name

the entry name

Referenced by WPS8TextInternal::operator<<(), and WPS8Text::readPLC().

PLCType WPS8TextInternal::DataPLC::m_type

the plc type

Referenced by WPS8Text::bmktEndDataParser(), WPS8Text::readPLC(), and WPS8Text::tokenEndDataParser().

long WPS8TextInternal::DataPLC::m_value

a potential value

Referenced by WPS8TextInternal::operator<<(), and WPS8Text::readPLC().

The documentation for this struct was generated from the following file:

- WPS8Text.cpp